<%@ page
 	session="false"
	import="com.sas.ep.sascoder.utilities.*,
			java.util.*,
			org.apache.commons.lang.StringUtils,
	        com.sas.ep.sascoder.web.SessionController,
	        org.springframework.context.ApplicationContext,
		    com.sas.ep.sascoder.webdms.service.sas.SasWorkspaceService"
	contentType="text/html;charset=UTF-8"%><%

	JspUtilities jspUtilities = new JspUtilities(null, request, response);

	String decodedReportApp = JspUtilities.decodeUriComponent(
		request.getParameter("report"));
	if (StringUtils.isBlank(decodedReportApp)) {
		decodedReportApp = null;
	}
	else {
	    decodedReportApp = Util.getJavascriptStringLiteral(decodedReportApp).replaceAll("'","");
	}
	jspUtilities.setJavascriptVariable("reportApp", decodedReportApp);

	String decodedWeaverApp = JspUtilities.decodeUriComponent(
		request.getParameter("app"));
	if (StringUtils.isBlank(decodedWeaverApp)) {
		decodedWeaverApp = null;
	}
	else {
	   decodedWeaverApp = Util.getJavascriptStringLiteral(decodedWeaverApp).replaceAll("'","");
	}
	jspUtilities.setJavascriptVariable("weaverApp", decodedWeaverApp);


	String host = request.getParameter("host");
	jspUtilities.setJavascriptVariable("host",
		StringUtils.isNotBlank(host) ? Util.getJavascriptStringLiteral(host).replaceAll("'","") : null);
	String port = request.getParameter("port");
	jspUtilities.setJavascriptVariable("port",
		StringUtils.isNotBlank(port) ? Util.getJavascriptStringLiteral(port).replaceAll("'","") : null);



	ApplicationContext ctxt=SessionController.getApplicationContext();
	SasWorkspaceService sasWorkspaceService=(SasWorkspaceService)ctxt.getBean("sasWorkspaceService");
  

	String userAgent = Util.getSafeString((String) request.getHeader("User-Agent"));
	if (userAgent==null) userAgent="unknown";
	else if (userAgent.indexOf("&lt;")>-1 && userAgent.indexOf("&gt;")>-1)
	{
		response.sendRedirect("not_supported");
		return;
	}

	String autoLoginUser = sasWorkspaceService.getAutoLoginUser();
	String sasMode = sasWorkspaceService.getSasMode();
	boolean autologin=false;
	if (sasMode.equalsIgnoreCase("SINGLE"))
	{
		response.setStatus(403);
		return;
	} else if ("WIP".equalsIgnoreCase(sasMode) || "WIPLITE".equalsIgnoreCase(sasMode)) {
		autologin=true;
	} else if (StringUtils.isNotBlank(autoLoginUser)) {
		autologin=true;
	}
	jspUtilities.setJavascriptVariable("mode",
		StringUtils.isNotBlank(sasMode) ? sasMode.toLowerCase() : "");
	jspUtilities.setJavascriptVariable("local", autologin);


	// remove some things unnecessary to a login page
	jspUtilities.javascriptVariables.keySet().removeAll(Arrays.asList(new String [] {
		"reconnectToken",
		"sasUserHome",
		"sessionId",
		"userId"
	}));

	// This is mobile.  Mobile is blocked for single user edition.  So, negate
	// any sutoken.  But, don't remove the the javascript variable (which
	// might lead to errors because of an undeclared global.  Instead, just null it.
	jspUtilities.setJavascriptVariable("sutoken", null);


	Locale locale = jspUtilities.getLocale();
	ResourceBundle bundle = NLSUtils.getResourceBundle(null, locale);
%>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title><%=bundle.getString("ProductPageTitle.txt")%></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name = "viewport" content = "initial-scale = 1.0, user-scalable = no">
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="description" content="">
    <meta name="author" content="">
    <!-- styles -->
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/css/help.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/corporate.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/css/webdms.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dojox/mobile/themes/corporate/css/Mobilewebdms.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dijit/themes/corporate/css/signin_page.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dojox/grid/resources/Grid.css" />
<link media="screen" rel="stylesheet" href="resources/js/dojo/dojox/grid/resources/claroGrid.css" />

<!--[if gte IE 9]>
  <style type="text/css">
    .gradient {
       filter: none;
    }
  </style>
<![endif]-->



<script>
<%
jspUtilities.writeJavascriptVariables(out);
jspUtilities.writeJavascriptDojoConfig(out);
%>
</script>

<!-- fav and touch icons -->
<link rel="shortcut icon"  href="favicon.ico" />
<link rel="apple-touch-icon" href="assets/ico/apple-touch-icon.png">
<link rel="apple-touch-icon" sizes="72x72" href="assets/ico/apple-touch-icon-72x72.png">
<link rel="apple-touch-icon" sizes="114x114" href="assets/ico/apple-touch-icon-114x114.png">

<link href="resources/js/dojo/dijit/themes/corporate/images/ico/favicon.ico" rel="shortcut icon" type="image/x-icon">
<!-- Standard iPhone -->
<link rel="apple-touch-icon" sizes="57x57" href="resources/js/dojo/dijit/themes/corporate/images/ico/touch-icon-iphone-114.png" />
<!-- Retina iPhone -->
<link rel="apple-touch-icon" sizes="114x114" href="resources/js/dojo/dijit/themes/corporate/images/ico/touch-icon-iphone-114.png" />
<!-- Standard iPad -->
<link rel="apple-touch-icon" sizes="72x72" href="resources/js/dojo/dijit/themes/corporate/images/ico/touch-icon-ipad-144.png" />
<!-- Retina iPad -->
<link rel="apple-touch-icon" sizes="144x144" href="resources/js/dojo/dijit/themes/corporate/images/ico/touch-icon-ipad-144.png" />




<!--GOOGLE FONTS-->
<link href='https://fonts.googleapis.com/css?family=Oswald:400,700,300' rel='stylesheet' type='text/css'>
<link href='https://fonts.googleapis.com/css?family=Open+Sans:400,600,700,800' rel='stylesheet' type='text/css'>
<link href='https://fonts.googleapis.com/css?family=Droid+Sans:400,700|Droid+Serif:700,400' rel='stylesheet' type='text/css'>
<!--/GOOGLE FONTS-->

<script type="text/javascript" src="resources/js/dojo/dojo/dojo.js"
	data-dojo-config="parseOnLoad: true"></script>
	
	
<div id="splash" style="display:none">
<div id="sas-hc-splash">
    <div id="sas-hc-splash-content">
        <div class="SplashContentTable">
            <div class="SplashContentTableCell">
                <div class="SplashContentTableCellInner">
                <div id="sas-hc-splash-headerText" class="SplashHeader SplashLoaderDots"><%=bundle.getString("SplashScreenLoading.txt")%></div>
                    <div class="SplashCircleContainer">
                        <div id="SplashCircle1" class="SplashCircle">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<%--     <footer>
        <div class="SplashFooterInnerContainer">
            <div class="SplashFooter"><%=bundle.getString("SplashScreenCopyright.txt")%></div>
        </div>
    </footer> --%>
</div>
</div>

</head>

<body class="corporate ksignin bg">


<%if (autologin==false)
{%>
<div id="page" class="radiance">
<div class="wrapperlogon" id="logonBox">

<!-- ************ START MAIN CONTAINER ************** -->
<div class="container-fluid logon">

<!-- *** ROW *** -->
<div class="row-fluid">

<!-- *** COLUMN *** -->
<div class="span12">

<div data-dojo-type="dijit/form/Form" id="loginForm" data-dojo-id="loginForm" method="post">
	<fieldset>
	<legend  id="signInLabel"><%=bundle.getString("SignIn.txt")%></legend>

		<div>
		<div id="userLabel" aria-hidden="true" for="user"><%=bundle.getString("UserFieldLabel.txt")%></div>

		<div class="inputaccent">
		<input type="text" id="user" name="user" aria-labelledby="userLabel" autocapitalize="off" spellcheck="false" data-dojo-type="dijit/form/ValidationTextBox"
					data-dojo-props="required:true" invalidMessage="<%=bundle.getString("UserNameRequired.txt")%>" value="" class="inputaccent2">
					</div>
		</div>

		<div>
		<div id="passwordLabel"  aria-hidden="true" for="password"><%=bundle.getString("PasswordFieldLabel.txt")%></div>
				<div class="inputaccent">
		<input type="password" id="password" name="password" aria-labelledby="passwordLabel" value="" data-dojo-type="dijit/form/ValidationTextBox"
					data-dojo-props="required:true" invalidMessage="<%=bundle.getString("PasswordRequired.txt")%>" class="inputaccent2">
		</div></div>

		<div style="">
		<input type="checkbox" id="rememberCheckbox" data-dojo-type="dijit/form/CheckBox" value="option1" class="logoninput">
		<label id="rememberLabel" for="rememberCheckbox" class="logonlabel"><%=bundle.getString("RememberMeLabel.txt")%></label>
		</div>

		<div class="signin">
		<button type="button" id="loginButton"><%=bundle.getString("SignInButton.txt")%></button>
		</div>

		<% if (!sasWorkspaceService.getSasMode().equalsIgnoreCase("single") && sasWorkspaceService.getLoginSkinning().equalsIgnoreCase("soda")) { %>
		<ul>
		<li><a href="https://www.sas.com/profile/user/passwordResetRequest.htm" target="_blank"><%=bundle.getString("ForgotPasswordLink.txt")%></a></li>
        <li><a href="http://support.sas.com/ctx/sodareg" target="_blank"><%=bundle.getString("RegisterLink.txt")%></a></li>
        </ul>
        <% } %>

	</fieldset>
</div>

</div>
<!-- *** END COLUMN *** -->

</div>
<!-- *** END ROW *** -->


</div>
<!-- ************ END MAIN CONTAINER ************** -->

<!-- ************ START FOOTER ************** -->
<footer>
<div class="container-fluid">
<div class="copyright" id="signinCopyRight"><%=bundle.getString("SignInCopyright.txt")%></div>
</div>
</footer>
<!-- ************ END FOOTER ************** -->

</div>
</div>

<div style="width:1px;height:1px;left:-5px;position:absolute" class='sasBusyIcon'></div>
    <!-- Le javascript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->

<!--  ****************** SIGNING IN DIALOG ****************** -->

<div class="dijitHidden">
<div data-dojo-type="dijit/Dialog"
	title="<%=bundle.getString("ConnectingTitle.txt")%>" id="signingInDialog">


<!--  ** content area **  -->
<div class="dijitDialogPaneContentArea" style="background:white">
<div class='sasBusyIcon'></div>

<p/>
<p/>

</div>
<p/>
<p/>
<p/>
<p/>

</div>
</div>

<% } %>

 <script src="resources/js/webdms/mobile/dmslogin.js"></script>

</body>
</html>